IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_PARTMODCFG_220505') 
CREATE TABLE T_WF_PARTMODCFG_220505 (
	FID BIGINT DEFAULT 0 NOT NULL,
	FNAME NVARCHAR(184) DEFAULT ' ' NOT NULL ,
	FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL ,
	FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL ,
	FFORMID VARCHAR(255) DEFAULT ' ' NOT NULL ,
	FPARSER VARCHAR(255) DEFAULT ' ' NOT NULL ,
	FAPPLICATIONID VARCHAR(36) DEFAULT ' ' NOT NULL ,
	FAPPLICATIONNAME NVARCHAR(184) DEFAULT ' ' NOT NULL ,
	FAVATAR VARCHAR(300) DEFAULT ' ' NOT NULL 
);
EXEC P_ALTERPK 'PK_WF_PARTMODCFG_220505', 'T_WF_PARTMODCFG_220505', 'FID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_PARTMODCFG_220505') CREATE INDEX IDX_WF_PARTMODCFG_220505 ON T_WF_PARTMODCFG_220505 (FAPPLICATIONID);
IF NOT EXISTS (SELECT 1 FROM T_WF_PARTMODCFG_220505 WHERE FID = 790317263570864129) 
INSERT INTO T_WF_PARTMODCFG_220505 SELECT FID, FNAME, FNUMBER, FTYPE, FFORMID, FPARSER, FAPPLICATIONID, FAPPLICATIONNAME, FAVATAR FROM T_WF_PARTICIPANTMODELCFG WHERE FID = 790317263570864129;
DELETE FROM T_WF_PARTICIPANTMODELCFG WHERE FID = 790317263570864129;


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_PARTMODCFG_L_220505') 
CREATE TABLE T_WF_PARTMODCFG_L_220505 (
	FPKID VARCHAR(36) DEFAULT ' ' NOT NULL ,
	FID BIGINT DEFAULT 0 NOT NULL,
	FLOCALEID VARCHAR(8) DEFAULT ' ' NOT NULL ,
	FNAME NVARCHAR(184) DEFAULT ' ' NOT NULL ,
	FAPPLICATIONNAME NVARCHAR(184) DEFAULT ' ' NOT NULL 
);
EXEC P_ALTERPK 'PK_WF_PARTMODCFG_L_220505', 'T_WF_PARTMODCFG_L_220505', 'FPKID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_PARTMODCFG_L_220505') CREATE INDEX IDX_WF_PARTMODCFG_L_220505 ON T_WF_PARTMODCFG_L_220505 (FID, FLOCALEID);
IF NOT EXISTS (SELECT 1 FROM T_WF_PARTMODCFG_L_220505 WHERE FID = 790317263570864129) 
INSERT INTO T_WF_PARTMODCFG_L_220505 SELECT FPKID, FID, FLOCALEID, FNAME, FAPPLICATIONNAME FROM T_WF_PARTICIPANTMODELCFG_L WHERE FID = 790317263570864129;
DELETE FROM T_WF_PARTICIPANTMODELCFG_L WHERE FID = 790317263570864129;